# Class SimpleAnnotationValueVisitor7<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor7<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `SimpleAnnotationValueVisitor8`

@SupportedSourceVersion(RELEASE_7) public class SimpleAnnotationValueVisitor7<R,P> extends SimpleAnnotationValueVisitor6<R,P>
A simple visitor for annotation values with default behavior appropriate for the `RELEASE_7` source version. Visit methods call `defaultAction` passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  1.7
See Also:
  - Compatibility note for subclasses
  - `SimpleAnnotationValueVisitor6`
  - `SimpleAnnotationValueVisitor8`
  - `SimpleAnnotationValueVisitor9`
  - `SimpleAnnotationValueVisitor14`

- ## Field Summary

  ### Fields declared in class SimpleAnnotationValueVisitor6

  `DEFAULT_VALUE`
  Modifier and Type
  Field
  Description
  `protected final R`
  `DEFAULT_VALUE`
  Default value to be returned; `defaultAction` returns this value unless the method is overridden.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleAnnotationValueVisitor7()`
  Deprecated.
  Release 7 is obsolete; update to a visitor for a newer release level.
  `protected`
  `SimpleAnnotationValueVisitor7(R defaultValue)`
  Deprecated.
  Release 7 is obsolete; update to a visitor for a newer release level.

- ## Method Summary

  ### Methods declared in class SimpleAnnotationValueVisitor6

  `defaultAction, visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`
  Modifier and Type
  Method
  Description
  `protected R`
  `defaultAction(Object o, P p)`
  The default action for visit methods.
  `R`
  `visitAnnotation(AnnotationMirror a, P p)`
  Visits an annotation value in an annotation.
  `R`
  `visitArray(List<? extends AnnotationValue> vals, P p)`
  Visits an array value in an annotation.
  `R`
  `visitBoolean(boolean b, P p)`
  Visits a `boolean` value in an annotation.
  `R`
  `visitByte(byte b, P p)`
  Visits a `byte` value in an annotation.
  `R`
  `visitChar(char c, P p)`
  Visits a `char` value in an annotation.
  `R`
  `visitDouble(double d, P p)`
  Visits a `double` value in an annotation.
  `R`
  `visitEnumConstant(VariableElement c, P p)`
  Visits an `enum` value in an annotation.
  `R`
  `visitFloat(float f, P p)`
  Visits a `float` value in an annotation.
  `R`
  `visitInt(int i, P p)`
  Visits an `int` value in an annotation.
  `R`
  `visitLong(long i, P p)`
  Visits a `long` value in an annotation.
  `R`
  `visitShort(short s, P p)`
  Visits a `short` value in an annotation.
  `R`
  `visitString(String s, P p)`
  Visits a string value in an annotation.
  `R`
  `visitType(TypeMirror t, P p)`
  Visits a type value in an annotation.

  ### Methods declared in class AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`
  Modifier and Type
  Method
  Description
  `final R`
  `visit(AnnotationValue av)`
  Visits an annotation value as if by passing itself to that value's `accept` method passing `null` for the additional parameter.
  `final R`
  `visit(AnnotationValue av, P p)`
  Visits any annotation value as if by passing itself to that value's `accept`.
  `R`
  `visitUnknown(AnnotationValue av, P p)`
  Visits an unknown kind of annotation value.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SimpleAnnotationValueVisitor7

    @Deprecated(since="12") protected SimpleAnnotationValueVisitor7()
    Deprecated.
    Release 7 is obsolete; update to a visitor for a newer release level.
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleAnnotationValueVisitor7

    @Deprecated(since="12") protected SimpleAnnotationValueVisitor7(R defaultValue)
    Deprecated.
    Release 7 is obsolete; update to a visitor for a newer release level.
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleAnnotationValueVisitor6.DEFAULT_VALUE`